### Hierarchy

- SubtleCrypto

## Index

### Methods

- decrypt
- deriveBits
- deriveKey
- digest
- encrypt
- exportKey
- generateKey
- importKey
- sign
- unwrapKey
- verify
- wrapKey

## Methods

### decrypt

- decrypt(algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams, key: CryptoKey, data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14679

  #### Parameters

  - ##### algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams

  - ##### key: CryptoKey

  - ##### data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  #### Returns PromiseLike<ArrayBuffer>

### deriveBits

- deriveBits(algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, baseKey: CryptoKey, length: number): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14680

  #### Parameters

  - ##### algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params

  - ##### baseKey: CryptoKey

  - ##### length: number

  #### Returns PromiseLike<ArrayBuffer>

### deriveKey

- deriveKey(algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, baseKey: CryptoKey, derivedKeyType: string | AesDerivedKeyParams | HmacImportParams | ConcatParams | HkdfCtrParams | Pbkdf2Params, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14681

  #### Parameters

  - ##### algorithm: string | EcdhKeyDeriveParams | DhKeyDeriveParams | ConcatParams | HkdfCtrParams | Pbkdf2Params

  - ##### baseKey: CryptoKey

  - ##### derivedKeyType: string | AesDerivedKeyParams | HmacImportParams | ConcatParams | HkdfCtrParams | Pbkdf2Params

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

### digest

- digest(algorithm: string | Algorithm, data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14682

  #### Parameters

  - ##### algorithm: string | Algorithm

  - ##### data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  #### Returns PromiseLike<ArrayBuffer>

### encrypt

- encrypt(algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams, key: CryptoKey, data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14683

  #### Parameters

  - ##### algorithm: string | RsaOaepParams | AesCtrParams | AesCbcParams | AesCmacParams | AesGcmParams | AesCfbParams

  - ##### key: CryptoKey

  - ##### data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  #### Returns PromiseLike<ArrayBuffer>

### exportKey

- exportKey(format: "jwk", key: CryptoKey): PromiseLike<JsonWebKey>
- exportKey(format: "raw" | "pkcs8" | "spki", key: CryptoKey): PromiseLike<ArrayBuffer>
- exportKey(format: string, key: CryptoKey): PromiseLike<JsonWebKey | ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14684

  #### Parameters

  - ##### format: "jwk"

  - ##### key: CryptoKey

  #### Returns PromiseLike<JsonWebKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14685

  #### Parameters

  - ##### format: "raw" | "pkcs8" | "spki"

  - ##### key: CryptoKey

  #### Returns PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14686

  #### Parameters

  - ##### format: string

  - ##### key: CryptoKey

  #### Returns PromiseLike<JsonWebKey | ArrayBuffer>

### generateKey

- generateKey(algorithm: string, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKeyPair | CryptoKey>
- generateKey(algorithm: RsaHashedKeyGenParams | EcKeyGenParams | DhKeyGenParams, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKeyPair>
- generateKey(algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14687

  #### Parameters

  - ##### algorithm: string

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKeyPair | CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14688

  #### Parameters

  - ##### algorithm: RsaHashedKeyGenParams | EcKeyGenParams | DhKeyGenParams

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKeyPair>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14689

  #### Parameters

  - ##### algorithm: AesKeyGenParams | HmacKeyGenParams | Pbkdf2Params

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

### importKey

- importKey(format: "jwk", keyData: JsonWebKey, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>
- importKey(format: "raw" | "pkcs8" | "spki", keyData: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>
- importKey(format: string, keyData: JsonWebKey | Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer, algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14690

  #### Parameters

  - ##### format: "jwk"

  - ##### keyData: JsonWebKey

  - ##### algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14691

  #### Parameters

  - ##### format: "raw" | "pkcs8" | "spki"

  - ##### keyData: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  - ##### algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14692

  #### Parameters

  - ##### format: string

  - ##### keyData: JsonWebKey | Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  - ##### algorithm: string | RsaHashedImportParams | EcKeyImportParams | HmacImportParams | DhImportKeyParams | AesKeyAlgorithm

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

### sign

- sign(algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams, key: CryptoKey, data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14693

  #### Parameters

  - ##### algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams

  - ##### key: CryptoKey

  - ##### data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  #### Returns PromiseLike<ArrayBuffer>

### unwrapKey

- unwrapKey(format: string, wrappedKey: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer, unwrappingKey: CryptoKey, unwrapAlgorithm: string | Algorithm, unwrappedKeyAlgorithm: string | Algorithm, extractable: boolean, keyUsages: string[]): PromiseLike<CryptoKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14694

  #### Parameters

  - ##### format: string

  - ##### wrappedKey: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  - ##### unwrappingKey: CryptoKey

  - ##### unwrapAlgorithm: string | Algorithm

  - ##### unwrappedKeyAlgorithm: string | Algorithm

  - ##### extractable: boolean

  - ##### keyUsages: string[]

  #### Returns PromiseLike<CryptoKey>

### verify

- verify(algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams, key: CryptoKey, signature: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer, data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer): PromiseLike<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14695

  #### Parameters

  - ##### algorithm: string | RsaPssParams | EcdsaParams | AesCmacParams

  - ##### key: CryptoKey

  - ##### signature: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  - ##### data: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer

  #### Returns PromiseLike<boolean>

### wrapKey

- wrapKey(format: string, key: CryptoKey, wrappingKey: CryptoKey, wrapAlgorithm: string | Algorithm): PromiseLike<ArrayBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14696

  #### Parameters

  - ##### format: string

  - ##### key: CryptoKey

  - ##### wrappingKey: CryptoKey

  - ##### wrapAlgorithm: string | Algorithm

  #### Returns PromiseLike<ArrayBuffer>

Generated using TypeDoc